//
//  PreviewTrait+Properties.swift
//  Piper
//
//  Created by Javier Cicchelli on 13/10/2024.
//  Copyright © 2024 Röck+Cöde. All rights reserved.
//

import SwiftUI

@available(macOS 15.0, *)
extension PreviewTrait where T == Preview.ViewTraits {
    
    // MARK: Properties
    
    @MainActor static var emptyData: PreviewTrait = .modifier(EmptyDataModifier())
    @MainActor static var sampleData: PreviewTrait = .modifier(SampleDataModifier())
    
}
