//
//  Repository+Samples.swift
//  Piper ~ App
//
//  Created by Javier Cicchelli on 06/10/2024.
//  Copyright © 2024 Röck+Cöde. All rights reserved.
//

import Foundation
import SwiftData

extension Repository {
    
    // MARK: Functions
    
    @MainActor
    static func samples(in container: ModelContainer) {
        let context = container.mainContext
        
        context.insert(Repository(
            URL(filePath: "/full/path/to/repository/name-0.git")
        ))
        
        context.insert(Repository(
            URL(filePath: "/full/path/to/repository/name-1.git"),
            active: false
        ))
        
        context.insert(Repository(
            URL(filePath: "/full/path/to/repository/name-2.git")
        ))
    }
    
}
